Skip to main content
GET
/
orders
/
{chain_id}
/
{id}
Get order status by Gateway ID
curl --request GET \
  --url https://api.paycrest.io/v2/orders/{chain_id}/{id}
{
  "status": "success",
  "message": "Operation successful",
  "data": {
    "orderId": "<string>",
    "amount": "<string>",
    "amountInUsd": "<string>",
    "token": "<string>",
    "network": "ethereum",
    "settlePercent": "<string>",
    "status": "<string>",
    "txHash": "<string>",
    "settlements": [
      {
        "splitOrderId": "<string>",
        "amount": "<string>",
        "rate": "<string>",
        "orderPercent": "<string>"
      }
    ],
    "txReceipts": [
      {
        "status": "<string>",
        "txHash": "<string>",
        "timestamp": "2023-11-07T05:31:56Z"
      }
    ],
    "updatedAt": "2023-11-07T05:31:56Z"
  }
}
Retrieve the status of an order by its onchain Gateway ID and chain ID. Use this for smart contract integrations where you have the Gateway order ID from the blockchain rather than the API order UUID.

Path Parameters

chain_id
string
required
id
string
required

Response

Order status

status
string
Example:

"success"

message
string
Example:

"Operation successful"

data
object

The actual response data (e.g., ReceiveAddressResponse, etc.)